%global namedreltag %{nil}
%global namedversion %{version}%{?namedreltag}
Name:          shrinkwrap-descriptors
Version:       2.0.0
Release:       1%{?dist}
Summary:       Shrinkwrap Descriptors
Group:         Development/Libraries
License:       ASL 2.0
Url:           http://www.jboss.org/shrinkwrap/

Source0:       %{name}-%{namedversion}.tar.xz

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: apiviz
BuildRequires: junit4
BuildRequires: xmlunit
BuildRequires: apache-commons-lang3
Buildrequires: apache-commons-logging
BuildRequires: saxon
#BuildRequires: saxon-dom
BuildRequires: codemodel
#BuildRequires: dtdparser
BuildRequires: dom4j
BuildRequires: xom
BuildRequires: maven
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      junit4

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Provides a mechanism to create archive descriptors.

%package javadoc
Group:            Documentation
Summary:          Javadoc for %{name}
Requires:         jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build

export JAVA5_HOME=%{_jvmdir}/java
mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/%{name}

#APIS
install -pm 644 api-base/target/%{name}-api-base-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/api-base.jar
install -pm 644 api-javaee/target/%{name}-api-javaee-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/api-javaee.jar
install -pm 644 api-jboss/target/%{name}-api-jboss-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/api-jboss.jar
install -pm 644 api-misc/target/%{name}-api-misc-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/api-misc.jar



#IMPL
install -pm 644 impl-base/target/%{name}-impl-base-%{namedversion}-tests.jar %{buildroot}%{_javadir}/%{name}/impl-base-tests.jar
install -pm 644 impl-base/target/%{name}-impl-base-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/impl-base.jar
install -pm 644 impl-javaee/target/%{name}-impl-javaee-%{namedversion}-tests.jar %{buildroot}%{_javadir}/%{name}/impl-javaee-tests.jar
install -pm 644 impl-javaee/target/%{name}-impl-javaee-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/impl-javaee.jar
install -pm 644 impl-jboss/target/%{name}-impl-javaee-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/impl-jboss.jar

#SPI
install -pm 644 spi/target/%{name}-spi-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/spi.jar


mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom

install -pm 644 bom/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-bom.pom
%add_maven_depmap JPP.%{name}-bom.pom

install -pm 644 gen/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-gen.pom
%add_maven_depmap JPP.%{name}-gen.pom %{name}/gen.jar

install -pm 644 spi/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-spi.pom
%add_maven_depmap JPP.%{name}-spi.pom %{name}/spi.jar

install -pm 644 depchain/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-depchain.pom
%add_maven_depmap JPP.%{name}-depchain.pom

install -pm 644 api-base/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-api-base.pom
%add_maven_depmap JPP.%{name}-api-base.pom %{name}/api-base.jar

install -pm 644 api-javaee/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-api-javaee.pom
%add_maven_depmap JPP.%{name}-api-javaee.pom %{name}/api-javaee.jar

install -pm 644 api-jboss/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-api-jboss.pom
%add_maven_depmap JPP.%{name}-api-jboss.pom %{name}/api-jboss.jar

install -pm 644 api-misc/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-api-misc.pom
%add_maven_depmap JPP.%{name}-api-misc.pom %{name}/api-misc.jar

install -pm 644 impl-base/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-impl-base.pom
%add_maven_depmap JPP.%{name}-impl-base.pom %{name}/impl-base.jar

install -pm 644 impl-javaee/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-impl-javaee.pom
%add_maven_depmap JPP.%{name}-impl-javaee.pom %{name}/impl-javaee.jar

install -pm 644 impl-jboss/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-impl-jboss.pom
%add_maven_depmap JPP.%{name}-impl-jboss.pom %{name}/impl-jboss.jar

install -pm 644 impl-misc/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-impl-misc.pom
%add_maven_depmap JPP.%{name}-impl-misc.pom %{name}/impl-misc.jar

install -pm 644 test/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-test.pom
%add_maven_depmap JPP.%{name}-test.pom %{name}/test.jar

install -pm 644 test-util/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-test-util.pom
%add_maven_depmap JPP.%{name}-test-util.pom %{name}/test-util.jar

install -pm 644 metadata-parser/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-metadata-parser.pom
%add_maven_depmap JPP.%{name}-metadata-parser.pom %{name}/metadata-parser.jar

install -pm 644 metadata-parser-test/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-metadata-parser-test.pom
%add_maven_depmap JPP.%{name}-metadata-parser-test.pom %{name}/metadata-parser-test.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/*.jar
%{_mavenpomdir}/JPP.%{name}-*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon May 21 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 2.0.0
- Initial packaging
